> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://commify.ferndocs.com/api-reference/messages/get-message-by-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://commify.ferndocs.com/_mcp/server. # Get message by ID GET http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages/{messageId} Reference: https://commify.ferndocs.com/api-reference/messages/get-message-by-id ## Authentication - `X-API-Key` header (required) — Your Commify API key. ## Request ### Path parameters - `messageId` (string, required) ### Headers - `AccountReference` (string, optional) — Optional AccountReference header ## Response ### 200 OK - `data` (GetMessageByIdResponse, optional, nullable) - `errors` (list of ErrorDto, optional, nullable) ## Errors ### 404 Not Found Error Not Found - `errors` (list of ErrorDto, optional, nullable) ## Types ### GetMessageByIdResponse - `messageId` (string, optional) - `requestId` (string, optional) - `conversationId` (string, optional, nullable) - `userId` (string, optional) - `submittedBy` (string, optional, nullable) - `accountReference` (string, optional, nullable) - `address` (string, optional, nullable) - `submittedAddress` (string, optional, nullable) - `status` (string, optional, nullable) - `reason` (string, optional, nullable) - `destinationCode` (string, optional, nullable) - `channel` (string, optional, nullable) - `source` (string, optional, nullable) - `originator` (string, optional, nullable) - `isBillable` (boolean, optional) - `characterSet` (string, optional, nullable) - `content` (string, optional, nullable) - `characterCount` (GetMessageByIdResponseCharacterCount, optional) - `messagePartCount` (GetMessageByIdResponseMessagePartCount, optional) - `variables` (map from string to string, optional, nullable) - `templateId` (string, optional, nullable) - `metadata` (map from string to string, optional, nullable) - `sentAt` (datetime, optional, nullable) - `submittedAt` (datetime, optional) - `lastUpdateTimestamp` (datetime, optional) - `dynamicFieldsUsed` (boolean, optional) - `requestName` (string, optional, nullable) - `messageType` (string, optional, nullable) - `direction` (string, optional, nullable) - `isRead` (boolean, optional, nullable) - `readBy` (string, optional, nullable) - `isDeleted` (boolean, optional) - `isDeletedBy` (string, optional, nullable) - `contactId` (string, optional, nullable) - `contactData` (GetMessageByIdResponseContactData, optional) - `rcsType` (string, optional, nullable) - `contentType` (string, optional, nullable) - `attachmentUrl` (string, optional, nullable) - `isFallback` (boolean, optional) ### ErrorDto - `errorCode` (string, required) - `errorMessage` (string, required) - `metadata` (map from string to string, optional, nullable) ### GetMessageByIdResponseCharacterCount ### GetMessageByIdResponseMessagePartCount ### GetMessageByIdResponseContactData - `firstName` (string, optional, nullable) - `lastName` (string, optional, nullable) - `quickName` (string, optional, nullable) ## Examples **Response** ```json { "data": null, "errors": null } ``` **SDK Code** ```python import requests url = "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages/messageId" headers = {"X-API-Key": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages/messageId'; const options = {method: 'GET', headers: {'X-API-Key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages/messageId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-API-Key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages/messageId") http = Net::HTTP.new(url.host, url.port) request = Net::HTTP::Get.new(url) request["X-API-Key"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages/messageId") .header("X-API-Key", "") .asString(); ``` ```php request('GET', 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages/messageId', [ 'headers' => [ 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages/messageId"); var request = new RestRequest(Method.GET); request.AddHeader("X-API-Key", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["X-API-Key": ""] let request = NSMutableURLRequest(url: NSURL(string: "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/messages/messageId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```